/*
Copyright 2010-2012 Sergey Levin


This file is part of crosti.

Crosti is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Crosti is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with crosti.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef PROGRESSDIALOG_H
#define PROGRESSDIALOG_H

#include <QtGui>


class progressDialog:public QProgressDialog
{
     Q_OBJECT
 public:
   progressDialog(const QString &text,const QString &cancelText,int min,int max,QWidget *parent=0);
   void addValue(int i){setValue(value()+i);}

 private:
   QProgressBar pbar;
};

#endif // PROGRESSDIALOG_H
